<?php
require_once __DIR__ . DIRECTORY_SEPARATOR . ".." . DIRECTORY_SEPARATOR . "session_start.php";
require_once __DIR__ . DIRECTORY_SEPARATOR . ".." . DIRECTORY_SEPARATOR . "config.php";

$msg = "";

if(!empty($_REQUEST['change_store'])){
	$change_store = $_REQUEST['change_store'];
	if(is_numeric($change_store)){
		$sql = "SELECT store_id, store_name FROM stores_master WHERE store_id = '$change_store'";
		$query = mysql_query($sql);
		if($row = mysql_fetch_array($query)){
			$_SESSION["store_id"] = $row['store_id'];
			$_SESSION["store_name"] = $row['store_name'];
		}
	}
}



//-------------- Time -----------------------
function SetTimeZone($store_id = 0){
    if ($store_id == 0) {
        $store_id = $_SESSION["store_id"];
    }

    $sql = "SELECT store_tz FROM stores_master WHERE store_id = '$store_id'";
    $query = mysql_query($sql);

    if($row = mysql_fetch_array($query)){
        date_default_timezone_set($row['store_tz']);
    }
}

function ExecuteScalar($sql)
{
    $query = mysql_query($sql);
//    echo $sql;
    $row = mysql_fetch_array($query);

    return $row[0];
}

//--------------- symbol money $ -------------
function FormatPayment($amount)
{
    if ($amount == '') return '';

    return ($amount >= 0) ? '$' . round($amount, 2) : '$(' . round(-$amount, 2) . ')';
}

function FormatPercent($amount){
    if ($amount == '') return '';

    return round($amount, 2)*100 . '%';
}

function FormatNumber($amount){
    if ($amount == '') return '';

    return round($amount, 2);
}


class Validation
{

    //---------- Check Number ----------
    public function ValidateNumericParameter($id)
    {
        if (!is_numeric($id))
            $this->InvalidParameterResponse();
    }

    public function GetNumericParameter($id)
    {
        if (!isset($_REQUEST[$id]))
            $this->InvalidParameterResponse();

        $value = $_REQUEST[$id];

        $this->ValidateNumericParameter($value);

        return $value;
    }

    public function GetNumericParameterOrDefault($id, $default)
    {
        if (!isset($_REQUEST[$id]))
            return $default;

        $value = $_REQUEST[$id];

        $this->ValidateNumericParameter($value);

        return $value;
    }

    public function GetDateParameter($id)
    {
        if (!isset($_REQUEST[$id]))
            $this->InvalidParameterResponse();

        $value = $_REQUEST[$id];

        $this->ValidateDateParameter($value);

        return $value;
    }

    //---------- Check Date -------------
    public function ValidateDateParameter($date){
        if(preg_match("/^\d{1,2}\/\d{1,2}\/\d{4}/", $date) == 0)
            $this->InvalidParameterResponse();

        $matches = preg_split("/\//", $date);
        if(!checkdate($matches[0],$matches[1],$matches[2]))
            $this->InvalidParameterResponse();
    }

    public function InvalidParameterResponse(){
        exit();
    }

    // ----------- check String ----------------
    public function MakeSafe($string){
        $string=(get_magic_quotes_gpc() ? stripslashes($string) : $string);
        if(function_exists('mysql_real_escape_string')){
            return mysql_real_escape_string($string);
        }else{
            return mysql_escape_string($string);
        }
    }

    // --------------- check IP ------------------
    public function ValidateIp($ip){
        return preg_match("/^\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}$/", $ip);
    }

    //----------------- Groups -----------------
    public function ApplyVisibilityFilter($group){

    }

    //--------- Action Contact
    public function ActionContact($id)
    {


    }

    //-------- Action Invoice


    //--------- Action Contact


    //--------- Action Rooms

}

class Modules{
    const LEADS      = 1;
    const CONTACTS   = 2;
    const COMPANIES  = 3;
    const CALENDAR   = 4;
    const INVOICES   = 5;
    const ESTIMATES  = 6;
    const REFUNDS    = 7;
    const RECEIVABLES= 8;
    const STORES     = 9;
    const EMPLOYEES  = 10;
    const NOTES      = 11;
    const INVENTORY  = 12;
    const DOSE_ORDERS= 13;
    const ROOMS      = 14;
    const PHARMACY   = 15;
    const REPORTS    = 16;
}


class Authentication
{
    //------------- Role ---------------

    var $modules = array(
        Modules::LEADS        => "<strong>Leads</strong>",
        Modules::CONTACTS     => "<strong>Contacts</strong>",
        Modules::COMPANIES    => "<strong>Companies</strong>",
        Modules::CALENDAR     => "<strong>Calendar</strong>",
        Modules::INVOICES     => "<strong>Invoices</strong>",
        Modules::REPORTS      => "<strong>Reports</strong>",
        Modules::ESTIMATES    => "<strong>Estimates</strong>",
        Modules::REFUNDS      => "<strong>Refunds</strong>",
        Modules::RECEIVABLES  => "<strong>Receivables</strong>",
        Modules::STORES       => "<strong>Stores</strong>",
        Modules::EMPLOYEES    => "<strong>Employees</strong>",
        Modules::NOTES        => "<strong>Notes</strong>",
        Modules::INVENTORY    => "<strong>Inventory</strong>",
        Modules::DOSE_ORDERS  => "<strong>Dose Orders</strong>",
        Modules::ROOMS        => "<strong>Room Management</strong>",
        Modules::PHARMACY     => "<strong>Pharmacy</strong>"
    );

    //-------------- Access --------------
    const ACCESS_NO_ACCESS =3;
    const ACCESS_READ      =1;
    const ACCESS_WRITE     =2;

    const ACCESS_ROLE_SUPERADMIN =7;

    public function GetAccessRights($role_id , $module_id)
    {
        $sql = "SELECT `access_rights` FROM `user_module_relation`WHERE `role_id` = $role_id AND `module_id` = $module_id";
        $query = mysql_query($sql);
        if($row = mysql_fetch_array($query)){
            return $row["access_rights"];
        }

        return false;
    }
    public function GetAccessGroup($role_id , $module_id)
    {
        $sql = "SELECT `access_group` FROM `user_module_relation`WHERE `role_id` = $role_id AND `module_id` = $module_id";
        $query = mysql_query($sql);
        if($row = mysql_fetch_array($query)){
            return $row["access_group"];
        }

        return false;
    }

    public function HasAccess($role_id , $module_id)
    {
        $result = $this->GetAccessRights($role_id , $module_id);

        return $result == Authentication::ACCESS_READ || $result == Authentication::ACCESS_WRITE;
    }

    public function CanRead($role_id , $module_id)
    {
        $result = $this ->GetAccessRights($role_id , $module_id);

        return $result == Authentication::ACCESS_READ;
    }

    public function CanWrite($role_id , $module_id)
    {
        $result = $this ->GetAccessRights($role_id , $module_id);

        return $result == Authentication::ACCESS_WRITE;
    }

    //------------------ Login ---------------
    public function IsLoggedIn(){
        return isset($_SESSION['userid']);
    }

    //------------------ Check IP ---------------
    public function CheckAuthentication(){
        $this->CheckEntryIp();

        if(! $this->IsLoggedIn())
            $this->DenyAccess();
    }

    public function DenyAccess(){
        header('Location: index.php');
    }

    public function CheckEntryIp(){
        $entryIP = $_SERVER['REMOTE_ADDR'];
        if($entryIP == "::1")
            return;

        $sql = "SELECT ip_address FROM ip_access WHERE ip_address = '$entryIP'";

        $retval = mysql_query($sql);
        if(mysql_num_rows($retval) == 0){

            $sql = "SELECT count(*) FROM ip_access";

            $retval = mysql_query($sql);
            if(!($row = mysql_fetch_array($retval)) || $row['c'] != 0){
                die();
            }
        }
    }

    //-------------- Export --------------
    public function CanExport($role_id , $module_id){
        $sql = "SELECT `can_export` FROM `user_module_relation` WHERE `role_id` = $role_id AND `module_id` = $module_id";

        $query = mysql_query($sql);

        if($row = mysql_fetch_array($query)){
            return $row["can_export"];
        }

        return false;
    }
    //--------------- Delete ---------------
   public function CanDelete ($role_id , $module_id){
        $sql = "SELECT `can_delete` FROM `user_module_relation` WHERE `role_id` = $role_id AND `module_id` = $module_id";

        $query = mysql_query($sql);

        if($row = mysql_fetch_array($query)){
            return $row["can_delete"];
        }

        return false;
    }


    public function GetGroupIds($user_id)
    {
        $sql = "SELECT group_id FROM user_groups WHERE user_id = $user_id";
        $query_groupIds = mysql_query($sql);
        $group_ids = array();
        while($row = mysql_fetch_array($query_groupIds))
        {
            $group_ids[] = $row['group_id'];
        }
        return $group_ids;
    }

    public function GetTeammateIds($user_id)
    {
        $group_ids = $this->GetGroupIds($user_id);
        $filter = "(" . implode(',',$group_ids) . ")";
        $sql = "SELECT DISTINCT user_id FROM user_groups WHERE group_id IN $filter AND user_id <> $user_id";
        $query_teammateIds = mysql_query($sql);
        $teammateIds = array($user_id);
        while($row = mysql_fetch_array($query_teammateIds))
        {
            $teammateIds[] = $row['user_id'];
        }
        return $teammateIds;
    }

    public function GetUsersWithAccess($module_id, $access_rights)
    {
        $sql = "SELECT role_id from user_module_relation WHERE access_rights = $access_rights AND module_id = $module_id";
        echo $sql;
        $query = mysql_query($sql);
        $roles = array();
        $users = array();
        while($row = mysql_fetch_array($query)){
            $roles[] = $row['role_id'];
        }
        if(count($roles) > 0)
        {
            $filter = "(" . implode(',',$roles) . ")";
            $sql = "SELECT * FROM employee_master WHERE emp_type IN $filter";
            $query = mysql_query($sql);
            while($row = mysql_fetch_array($query)){
                $users[] = $row;
            }
        }
        return $users;
    }
}

class HelperUtils{

    public function TextTruncate($text, $max, $symbol)
    {
        //$text = htmlentities(strip_tags($text));
        $text = str_replace("<br>", "\n", $text);
        $text = str_replace("<br/>", "\n", $text);
        $text = str_replace("</p>", "</p>\n", $text);
        $text = preg_replace("(<\/h\d>)", "$1\n", $text);

        $text = strip_tags($text);
        $temp = substr($text, 0, $max);
        $last = strrpos($temp, " ");
        $temp = substr($temp, 0, $last);
        $temp = preg_replace("/([^\w])$/", "", $temp);
        return "$temp$symbol";
    }
}