<?php
require_once 'includes/helpers.php';
SetTimeZone();
$authentication = new Authentication();
$authentication->CheckAuthentication();

$role = $_SESSION["role"];
$can_export = $authentication->CanExport($role , Authentication::ACCESS_ROLE_SUPERADMIN );

$validation = new validation();
$filterDate = "";
$dt1 = "";
$dt2 = "";
if (isset($_GET['startdate'])) {
    $dt1 = $_GET['startdate'];
    $dt2 = $_GET['enddate'];
    $validation->ValidateDateParameter($dt1);
    $validation->ValidateDateParameter($dt2);

    $start_dt = date('Y-m-d', strtotime($dt1));
    $end_dt = date('Y-m-d', strtotime($dt2));

    $filterDate = " between '$start_dt' and '$end_dt'";
}

$sender = "";
if (isset($_GET['sender'])) {
    $sender = $_GET['sender'];
} else {
    $sql = "SELECT emp_email FROM employee_master WHERE emp_id=" . $_SESSION['userid'];
    $q = mysql_query($sql);

    if($row = mysql_fetch_array($q)){
        $sender = $row['emp_email'];
    }
}
$status=1;
if (isset($_GET['status'])) {
    $status = $_GET['status'];
    $validation->ValidateNumericParameter($status);
}
$search = "";
if (isset($_GET['search'])) {
    $search = $_GET['search'];
}

?>

<!DOCTYPE html>
<!-- 
Template Name: Metronic - Responsive Admin Dashboard Template build with Twitter Bootstrap 3.0
Version: 1.5
Author: KeenThemes
Website: http://www.keenthemes.com/
Purchase: http://themeforest.net/item/metronic-responsive-admin-dashboard-template/4021469?ref=keenthemes
-->
<!--[if IE 8]>
<html lang="en" class="ie8 no-js"> <![endif]-->
<!--[if IE 9]>
<html lang="en" class="ie9 no-js"> <![endif]-->
<!--[if !IE]><!-->
<html lang="en" class="no-js"> <!--<![endif]-->
<!-- BEGIN HEAD -->
<head>
    <meta charset="utf-8"/>
    <title>Webmail Reports - Tracking Info</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta content="width=device-width, initial-scale=1.0" name="viewport"/>
    <meta content="" name="description"/>
    <meta content="" name="author"/>
    <meta name="MobileOptimized" content="320">
    <!-- BEGIN GLOBAL MANDATORY STYLES -->
    <link href="assets/plugins/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css"/>
    <link href="assets/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css"/>
    <link href="assets/plugins/uniform/css/uniform.default.css" rel="stylesheet" type="text/css"/>
    <!-- END GLOBAL MANDATORY STYLES -->
    <!-- BEGIN PAGE LEVEL STYLES -->
    <link rel="stylesheet" type="text/css" href="assets/plugins/select2/select2_metro.css"/>
    <link rel="stylesheet" type="text/css" href="assets/plugins/jquery-multi-select/css/multi-select.css"/>
    <link rel="stylesheet" href="assets/plugins/data-tables/DT_bootstrap.css"/>
    <!-- END PAGE LEVEL SCRIPTS -->
    <!-- BEGIN THEME STYLES -->
    <link href="assets/css/style-metronic.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/style.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/style-responsive.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/plugins.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/themes/default.css" rel="stylesheet" type="text/css" id="style_color"/>
    <link href="assets/css/custom.css" rel="stylesheet" type="text/css"/>
    <!-- END THEME STYLES -->
    <link rel="shortcut icon" href="favicon.ico"/>
</head>

<!-- END HEAD -->
<!-- BEGIN BODY -->
<body class="page-header-fixed">
<!-- BEGIN HEADER -->
<div class="header navbar navbar-inverse navbar-fixed-top">
    <!-- BEGIN TOP NAVIGATION BAR -->
    <div class="header-inner">
        <!-- BEGIN LOGO -->
        <a class="navbar-brand" href="#">
            POS SYSTEM
        </a>
        <!-- END LOGO -->
        <!-- BEGIN RESPONSIVE MENU TOGGLER -->
        <a href="javascript:;" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
            <img src="assets/img/menu-toggler.png" alt=""/>
        </a>
        <!-- END RESPONSIVE MENU TOGGLER -->
        <!-- BEGIN TOP NAVIGATION MENU -->
        <ul class="nav navbar-nav pull-right">
            <!-- BEGIN NOTIFICATION DROPDOWN -->
            <li class="dropdown" id="header_notification_bar">
                <a href="index.php" class="dropdown-toggle">
                    Logout
                </a>
            </li>
        </ul>
    </div>
</div>
<!-- END HEADER -->
<div class="clearfix"></div>
<!-- BEGIN CONTAINER -->
<div class="page-container">
<?php include('menu.php'); ?>
<!-- END SIDEBAR -->
<!-- BEGIN PAGE -->
<div class="page-content">
<!-- BEGIN SAMPLE PORTLET CONFIGURATION MODAL FORM-->

<!-- /.modal -->
<!-- END SAMPLE PORTLET CONFIGURATION MODAL FORM-->
<!-- BEGIN STYLE CUSTOMIZER -->

<!-- END BEGIN STYLE CUSTOMIZER -->
<!-- BEGIN PAGE HEADER-->
<div class="row">
    <div class="col-md-12">
        <!-- BEGIN PAGE TITLE & BREADCRUMB-->
        <div class="table-toolbar pull-right">

            <?php if($can_export) { ?>
                <a class="btn btn-lg green hidden-print"
                   href='<?php echo "webmail-trackingexport.php?sender=$sender&status=$status"
                       . ($search != "" ?"&search=$search" : "")
                       . (($dt1 != "" && $dt2 != "") ? "&startdate=$dt1&enddate=$dt2" : ""); ?>'>Export <i
                        class="icon-print"></i>
                </a>
            <?php } ?>

        </div>

        <h3 class="page-title">
            Webmail Reports
        </h3>

        <!-- END PAGE TITLE & BREADCRUMB-->
    </div>
</div>
<!-- END PAGE HEADER-->

<!-- BEGIN PAGE CONTENT-->
<div class="row">
    <div class="col-md-12">
        <div class="form-group">
            <label class="control-label col-md-3" for="changestatus">Status</label>
            <div class="col-md-3">
                <select name="changestatus" class="form-control" id="changestatus">
                    <option value="1" <?php if($status==1) echo "selected=selected"; ?>>Open</option>
                    <option value="2" <?php if($status==2) echo "selected=selected"; ?>>Not Opened</option>
                    <option value="3" <?php if($status==3) echo "selected=selected"; ?>>Opened + No Replied</option>
                    <option value="4" <?php if($status==4) echo "selected=selected"; ?>>Replied</option>
                    <option value="5" <?php if($status==5) echo "selected=selected"; ?>>All</option>
                </select>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <div class="form-group">
            <label class="control-label col-md-3">Date Range</label>
            <div class="col-md-3">
                <input class="form-control form-control-inline input-medium date-picker" id="dt" size="16" type="text" placeholder="Start Date" value="" style="cursor:pointer">
            </div>
            <div class="col-md-3">
                <input class="form-control form-control-inline input-medium date-picker" id="dt1" size="16" type="text" placeholder="End Date" value="" style="cursor:pointer">
            </div>
        </div>

    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <div class="form-group">
            <label class="control-label col-md-3" for="changesender">Sender</label>
            <div class="col-md-3">
                <select name="changesender" class="form-control" id="changesender">
                    <?php

                    $sql = "SELECT DISTINCT sender FROM tracker";
                    if($sender!='0')
                        $sql .= " UNION SELECT '$sender'";

                    $query = mysql_query($sql);

                    echo "<option value=0";
                    if($sender=='0') echo " selected=selected";
                    echo ">Everyone</option>";

                    while ($row = mysql_fetch_array($query)) {
                        echo "<option";
                        if($sender==$row['sender']) echo " selected=selected";
                        echo ">$row[sender]</option>";
                    }
                    ?>
                </select>
            </div>
        </div>
    </div>
</div>
<br/>
<div class="row">
    <div class="col-md-12">
        <div class="form-group">
            <label class="control-label col-md-3" for="search">Search For</label>

            <div class="col-md-5">
                <input type="text" name="search" id="search" class="form-control" value="<?php echo $search; ?>" />
            </div>
            <button class="btn blue" id="btnFind">Find</button>
        </div>
    </div>
</div>
<br/>

<!-- END PAGE HEADER-->
<!-- BEGIN PAGE CONTENT-->
<div class="row">
    <div class="col-md-12">
        <!-- BEGIN EXAMPLE TABLE PORTLET-->
        <div class="portlet box blue">
            <div class="portlet-title">
                <div class="caption"><i class="icon-edit"></i>Tracking Report</div>
            </div>
            <div class="portlet-body">
                <div class="table-toolbar">

                </div>
                <table class="table table-striped table-hover table-bordered" id="sample_editable_1">
                    <thead>
                    <tr>
                        <th>Sender Email</th>
                        <th>Sent Date & Time</th>
                        <th>Sent IP</th>
                        <th>Subject</th>
                        <th>To</th>
                        <th>Last Open Date & Time</th>
                        <th>Times Opened</th>
                        <th>Opened IP</th>
                        <th>Details</th>
                    </tr>
                    </thead>
                    <tbody>
<?php
$sql = "SELECT
	t.`id`,
	t.`datecreated`,
	t.`ip`,
	t.`recipient`,
	t.`sender`,
	t.`subject`
FROM
	tracker t";

$join = "WHERE";
if($sender != "0")
{
    $sql .= " $join sender = '$sender'";
    $join = "AND";
}
if($filterDate != "")
{
    $sql .= " $join datecreated $filterDate";
    $join = "AND";
}
if($status != 5)
{
    switch($status){
        case 1:
            $sql .= " $join (SELECT COUNT(r.id) FROM tracker_replies r WHERE r.`trackid`=t.`id`) > 0";
            break;
        case 2:
            $sql .= " $join (SELECT COUNT(r.id) FROM tracker_replies r WHERE r.`trackid`=t.`id`) = 0";
            break;
        case 3:
            $sql .= " $join (SELECT COUNT(r.id) FROM tracker_replies r WHERE r.`trackid`=t.`id` AND r.`isreply`=1) = 0 AND (SELECT COUNT(r.id) FROM tracker_replies r WHERE r.`trackid`=t.`id`) > 0";
            break;
        case 4:
            $sql .= " $join (SELECT COUNT(r.id) FROM tracker_replies r WHERE r.`trackid`=t.`id` AND r.`isreply`=1) > 0";
            break;
    }

    $join = "AND";
}
if($search!="")
{
    $sql .= " $join (subject like '%$search%' OR recipient like '%$search%')";
    $join = "AND";
}

$sql .= "
ORDER BY
	t.`datecreated` DESC";
$q = mysql_query($sql);
while ($row = mysql_fetch_array($q)) {
    $sql = "SELECT * FROM tracker_replies r WHERE r.`trackid`=$row[id] ORDER BY datecreated";
    $q2 = mysql_query($sql);

    $last_opened = "";
    $times_opened = 0;
    $last_ip = "";
    $details = "";
    $has_reply = false;

    while ($row2 = mysql_fetch_array($q2)) {
        $times_opened++;
        if($row2['datecreated']>$last_opened)
        {
            $last_opened = $row2['datecreated'];
            $last_ip = $row2['ip'];
        }
        $has_reply = $has_reply && $row2['isreply'];
        $details .= "Email " . ($row2['isreply'] ? "replied" : "opened") . " on $row2[datecreated] from IP $row[ip]<br/>";
    }

    ?>
    <tr>
        <td><?php echo $row['sender']; ?></td>
        <td><?php echo $row['datecreated']; ?></td>
        <td><?php echo $row['ip']; ?></td>
        <td><?php echo $row['subject']; ?></td>
        <td><?php echo $row['recipient']; ?></td>
        <td><?php echo $last_opened; ?></td>
        <td><?php echo $times_opened; ?></td>
        <td><?php echo $last_ip; ?></td>
        <td><?php echo $details; ?></td>
    </tr>
<?php } ?>
                    </tbody>
                </table>
            </div>
        </div>
        <!-- END EXAMPLE TABLE PORTLET-->
    </div>
</div>


<!-- END PAGE CONTENT -->
<!-- END PAGE -->
</div>

<!-- END CONTAINER -->
<!-- BEGIN FOOTER -->
<div class="footer">
    <div class="footer-inner">
        2013 &copy; Metronic by keenthemes.
    </div>
    <div class="footer-tools">
         <span class="go-top">
         <i class="icon-angle-up"></i>
         </span>
    </div>
</div>

<!-- END FOOTER -->
<!-- BEGIN JAVASCRIPTS(Load javascripts at bottom, this will reduce page load time) -->
<!-- BEGIN CORE PLUGINS -->
<!--[if lt IE 9]>
<script src="assets/plugins/respond.min.js"></script>
<script src="assets/plugins/excanvas.min.js"></script>
<![endif]-->
<script src="assets/plugins/jquery-1.10.2.min.js" type="text/javascript"></script>
<script src="assets/plugins/jquery-migrate-1.2.1.min.js" type="text/javascript"></script>
<!-- IMPORTANT! Load jquery-ui-1.10.1.custom.min.js before bootstrap.min.js to fix bootstrap tooltip conflict with jquery ui tooltip -->
<script src="assets/plugins/jquery-ui/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
<script src="assets/plugins/bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
<script src="assets/plugins/bootstrap-hover-dropdown/twitter-bootstrap-hover-dropdown.min.js"
        type="text/javascript"></script>
<script src="assets/plugins/jquery-slimscroll/jquery.slimscroll.min.js" type="text/javascript"></script>
<script src="assets/plugins/jquery.blockui.min.js" type="text/javascript"></script>
<script src="assets/plugins/jquery.cookie.min.js" type="text/javascript"></script>
<script src="assets/plugins/uniform/jquery.uniform.min.js" type="text/javascript"></script>
<!-- END CORE PLUGINS -->
<!-- BEGIN PAGE LEVEL PLUGINS -->

<script type="text/javascript" src="assets/plugins/fuelux/js/spinner.min.js"></script>
<script type="text/javascript" src="assets/plugins/jquery.input-ip-address-control-1.0.min.js"></script>

<script type="text/javascript" src="assets/plugins/select2/select2.min.js"></script>
<script type="text/javascript" src="assets/plugins/jquery-inputmask/jquery.inputmask.bundle.min.js"></script>
<script type="text/javascript" src="assets/plugins/jquery-multi-select/js/jquery.multi-select.js"></script>
<script type="text/javascript" src="assets/plugins/jquery-multi-select/js/jquery.quicksearch.js"></script>

<script type="text/javascript" src="assets/plugins/data-tables/jquery.dataTables.js"></script>
<script type="text/javascript" src="assets/plugins/data-tables/DT_bootstrap.js"></script>
<script type="text/javascript" src="assets/plugins/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
<script type="text/javascript" src="assets/plugins/bootstrap-datetimepicker/js/bootstrap-datetimepicker.js"></script>

<!-- END PAGE LEVEL PLUGINS -->
<!-- BEGIN PAGE LEVEL SCRIPTS -->
<script src="assets/scripts/app.js"></script>
<script src="assets/scripts/form-samples.js"></script>
<script src="assets/scripts/form-components.js"></script>

<!-- END PAGE LEVEL SCRIPTS -->
<script>
    jQuery(document).ready(function () {
        // initiate layout and plugins
        App.init();
        FormSamples.init();
        FormComponents.init();
    });
</script>
<script>

    function buildUrl(){
        var status = $('#changestatus').val();
        var sender = $('#changesender').val();
        var search = $('#search').val();

        var url = "?status=" + status + '&sender=' + sender;

        var a = $('#dt').val();
        var b = $('#dt1').val();

        if(search != "")
            url += '&search=' + search;

        if(a!= "" && b != "")
            url += '&startdate=' + a + '&enddate=' + b;

        return "webmail-trackingreport.php" + url;
    }

    $('#changestatus').change(function () {
        location.href = buildUrl();
    });
    $('#changesender').change(function () {
        location.href = buildUrl();
    });
    $('#btnFind').click(function () {
        location.href = buildUrl();
    });

    $('#dt').datepicker({
        startDate: "2014-01-01"
    });

    $('#dt1').datepicker({
        startDate: "2014-01-01"
    });

    <?php
     if (isset($_GET['startdate'])) { ?>
    $('#dt').data().datepicker.setDate(new Date('<?php echo $_GET['startdate']; ?>'))
    $('#dt').data().datepicker.update();
    <?php }
    if (isset($_GET['enddate'])) { ?>
    $('#dt1').data().datepicker.setDate(new Date('<?php echo $_GET['enddate']; ?>'))
    $('#dt1').data().datepicker.update();
    <?php } ?>


    $('#dt1').change(function () {
        location.href = buildUrl();
    });
</script>
<!-- END JAVASCRIPTS -->
</body>
<!-- END BODY -->
</html>